org.modeshape.jcr.query

## Class BufferManager.MakeOrderedBuffer<T>

- java.lang.Object
- - org.modeshape.jcr.query.BufferManager.MakeOrderedBuffer<T>

- All Implemented Interfaces:
    BufferManager.QueueBufferMaker<T>
  Enclosing class:
    BufferManager

      protected final class BufferManager.MakeOrderedBuffer<T>
      extends Object
      implements BufferManager.QueueBufferMaker<T>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BufferManager.MakeOrderedBuffer(String name, org.mapdb.Serializer<T> serializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BufferManager.QueueBuffer<T>` | `make()` Create the `BufferManager.DistinctBuffer` instance.
    `BufferManager.MakeOrderedBuffer<T>` | `useHeap(boolean useHeap)` Specify whether to store the bufer on the heap.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferManager.MakeOrderedBuffer

          protected BufferManager.MakeOrderedBuffer(String name,
                                         org.mapdb.Serializer<T> serializer)

  - ### Method Detail

    - #### useHeap

          public BufferManager.MakeOrderedBuffer<T> useHeap(boolean useHeap)

      Description copied from interface: `BufferManager.QueueBufferMaker`
      Specify whether to store the bufer on the heap.
      Specified by:
        `useHeap` in interface `BufferManager.QueueBufferMaker<T>`
      Parameters:
        `useHeap` - true if the buffer's contents are to be stored on the heap, or false if off-heap storage should be used.
      Returns:
        this maker instance; never null

    - #### make

          public BufferManager.QueueBuffer<T> make()

      Description copied from interface: `BufferManager.QueueBufferMaker`
      Create the `BufferManager.DistinctBuffer` instance.
      Specified by:
        `make` in interface `BufferManager.QueueBufferMaker<T>`
      Returns:
        the distinct buffer; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.